<?php
	// This is the loop, which fetches entries from your database.
	// It is a delicate piece of machinery. Be gentle!
?>
<?php /* Headlines for archives */ if ((!is_single() and !is_home()) or is_paged()) { ?>

<h2 class="center">
  <?php // Figure out what kind of page is being shown
			if (is_category()) {
				printf('Archive for the \'%s\' Category', single_cat_title('',false));

			} elseif (is_day()) {
				printf('Archive for %s', get_the_time('F jS, Y'));

			} elseif (is_month()) {
				printf('Archive for %s', get_the_time('F, Y'));

			} elseif (is_year()) {
				printf('Archive for %s', get_the_time('Y'));

			} elseif (is_search()) {
				printf('Search Results for \'%s\'', $s);

			} elseif (function_exists('is_tag') and is_tag()) {
				printf('Tag Archive for \'%s\'', get_query_var('tag') );

			} elseif (is_author()) {
		   		$post = $wp_query->post; $the_author = $wpdb->get_var("SELECT meta_value FROM $wpdb->usermeta WHERE user_id = '$post->post_author' AND meta_key = 'nickname'");
				printf('Author Archive for %s', $the_author );

			} elseif (is_paged() and ($paged > 1)) { 
				 printf('Archive Page %s', $paged );
			} ?>
</h2>
<?php } ?>
<?php /* Start the loop */ if (have_posts()) { while (have_posts()) { the_post(); ?>
<?php /* Permalink nav has to be inside loop */ if (is_single()) include (TEMPLATEPATH . '/navigation.php'); ?>
<?php if (is_home() or is_archive() or is_search() or is_single() or is_page() 	or (function_exists('is_tag') and is_tag()) ) { ?>
<div id="post-<?php the_ID(); ?>" class="entry">
  <h3 class="entry-header"><a href="<?php the_permalink() ?>" rel="bookmark" title='Permanent Link to "<?php strip_tags(the_title()); ?>"'>
    <?php the_title(); ?>
    </a></h2>
  <div class="date-header">
    <?php the_time('F jS, Y') ?>
    by
    <?php the_author() ?>
  </div>
  <?php if (is_search()) { 
						the_excerpt();
					} else {
						the_content("Continue reading '" . the_title('', '', false) . "'");
					} ?>
  <?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
  <!--
				<?php trackback_rdf(); ?>
				-->
  <p class="entry-footer">
    <?php edit_post_link('Edit Link','<span class="metaedit">','</span>'); ?>
    &nbsp;&nbsp; <span class="metapost">Post  in</span>
    <?php the_category(', ');?>
    &nbsp;&nbsp;
    <?php comments_popup_link('<span class="metacmt">Add a comment</span>', '<span class="metacmt">1&nbsp;Comment</span>', '<span class="metacmt">%&nbsp;Comments</span>', '', '<span class="metacmt">Closed</span>'); ?>
  </p>
</div>
<?php  }

	} /* End The Loop */ ?>
<?php /* Insert Paged Navigation */ if (!is_single()) { include (TEMPLATEPATH.'/navigation.php'); } ?>
<?php /* If there is nothing to loop */  } else { $notfound = '1'; ?>
<h2 class="center">Not Found</h2>
<div class="entry">
  <p>Oh no! You're looking for something which just isn't here! Fear not however,
    errors are to be expected, and luckily there are tools on the sidebar for you to
    use in your search for what you need.</p>
</div>
<?php /* End Loop Init  */ } ?>
